function [IH] = intervalhull(qZ)
% intervalhull - Overapproximates a quadZonotope by an interval hull
%
% Syntax:  
%    [IH] = intervalhull(qZ)
%
% Inputs:
%    qZ - quadZonotope object
%
% Outputs:
%    IH - intervalhull object
%
% Example: 
%    ---
%
% Other m-files required: intervalhull(constructor)
% Subfunctions: none
% MAT-files required: none
%
% See also: vertices, polytope

% Author:       Matthias Althoff
% Written:      05-September-2012
% Last update:  ---
% Last revision:---

%------------- BEGIN CODE --------------

%instantiate interval hull
IH=intervalhull(zonotope(qZ));

%------------- END OF CODE --------------